GSI Forum
GSI Helmholtzzentrum für Schwerionenforschung

Home » PANDA » PandaRoot » Bugs, Fixes, Releases » Problems compiling external packages on ubuntu 8.10
Problems compiling external packages on ubuntu 8.10 [message #7497] Thu, 06 November 2008 19:59 Go to previous message
Sverre Dørheim is currently offline  Sverre Dørheim
Messages: 23
Registered: October 2008
Location: Munich
occasional visitor
From: *wlan.ntnu.no
Hi

I am using ubuntu 8.10 64bit edition using gcc version 4.3.2.

Problem 1(solved, i tink):
When running the configure.sh script it cant find my gfortran version. Therefore i added some lines in the script finding the version to read the version for me.

Problem 2:
This results in the compiling to start but it stops due to compiler errors at ml-gsoapclient-2.7.10 package. More accurately:

testWS.cxx: In function ‘int main(int, char**)’:
testWS.cxx:7: error: unknown escape sequence '\*'
testWS.cxx:8: error: ‘exit’ was not declared in this scope
testWS.cxx:18: error: ‘atoi’ was not declared in this scope
testWS.cxx:22: error: ‘atol’ was not declared in this scope
make[1]: *** [testWS.o] Error 1
make[1]: Leaving directory `/home/sverre/fairsoft/tools/ml-gsoapclient-2.7.10/src'
make: *** [install-recursive] Error 1
**** Checking libraries in /home/sverre/fairsoft/tools/monalisa/lib/ ****
*** ERROR: ml-gsoapclient could not be created.
*** End installation of external packages with Errors***

Is there any easy way out of this problem?

Thanks

Sverre

Ps: the same problems occur on ubuntu 8.04 32 bit with the same compiler version
 
Read Message
Read Message
Read Message
Previous Topic: Memory consumption grow using genfit
Next Topic: cmake error in pandaroot installation
Goto Forum:
  


Current Time: Tue May 28 19:34:12 CEST 2024

Total time taken to generate the page: 0.01051 seconds